Access Request API
List Access Requests
List access requests for a team. Filter by user, entitlement, app instance, status, or time range.
GET
/
v2
/
access-requests
List Access Requests
curl --request GET \
--url https://public.api.serval.com/v2/access-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/access-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/access-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"teamId": "<string>",
"createdAt": "<string>",
"targetUserId": "<string>",
"requestedRoleId": "<string>",
"expiresAt": "<string>",
"linkedTicketId": "<string>",
"timeAllocations": [
{
"id": "<string>",
"createdAt": "<string>",
"requestedMinutes": 123,
"approvedMinutes": 123,
"businessJustification": "<string>",
"requestedByUserId": "<string>",
"linkedTicketId": "<string>",
"approvalRequestId": "<string>"
}
]
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the team. Required.
Maximum number of results to return. Default is 1000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
List Access Requests

